---
--- PERARD Schneidwerkswagen
---
--- by Matthias " MxY.rlp" B.
--- @date 19/April/2009
--- MxY.rlp@online.de
--- 
--- (c) by MxY.rlp --> Thanks to GIANTS Software for a great game and perfect scriptwork!

PERARD = {}

function PERARD.prerequisitesPresent(specializations)
		Vehicle.registerJointType("cutter");
	return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function PERARD:load(xmlFile)
	
end;
function PERARD:update(dt)
end;
function PERARD:keyEvent(unicode, sym, modifier, isDown)
end;
function PERARD:mouseEvent(posX, posY, isDown, isUp, button)
end;
function PERARD:delete()
end;

function PERARD:draw()
	g_currentMission:addExtraPrintText(g_i18n:getText("PERARD_1"))
end;

function PERARD:onDetach()
	for i=table.getn(self.attachedImplements), 1, -1 do
		self:detachImplement(1);
    end;
end;